LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XLinkCreator Interface Referencepublished

allows to create and initialize a new link. More...

`import"XLinkCreator.idl";`

Inheritance diagram for XLinkCreator:

## Public Member Functions
::com::sun::star::uno::XInterface | createInstanceLink ([in] ::com::sun::star::embed::XStorage xStorage, [in] string sEntryName, [in] sequence< ::com::sun::star::beans::PropertyValue > aArgs, [in] sequence< ::com::sun::star::beans::PropertyValue > aObjectArgs) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::uno::Exception )
| creates a new object based on com::sun::star::document::MediaDescriptor and initializes it as a link. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows to create and initialize a new link.

Methods of this interface does not require specification of the object type, it will be detected.

## Member Function Documentation

## ◆ createInstanceLink()

::com::sun::star::uno::XInterface createInstanceLink | ( | [in] ::com::sun::star::embed::XStorage | xStorage,
|  | [in] string | sEntryName,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aArgs,
|  | [in] sequence< ::com::sun::star::beans::PropertyValue > | aObjectArgs
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException,
|  | ::com::sun::star::io::IOException,
|  | ::com::sun::star::uno::Exception
| ) |  |

creates a new object based on com::sun::star::document::MediaDescriptor and initializes it as a link.

In case the entry exists already all its contents will be ignored and rewritten on storing of the object.

Parameters

  xStorage | a parent storage the entry should be created or opened in
  sEntryName | a name for the entry
  aArgs | com::sun::star::document::MediaDescriptor the link will be based on
  aObjectArgs | optional parameters for the object persistence initialization, see also com::sun::star::embed::EmbeddedObjectDescriptor

Exceptions

  com::sun::star::lang::IllegalArgumentException | the argument is illegal
  com::sun::star::io::IOException | in case of io problems during opening or creation
  com::sun::star::uno::Exception | in case of other problems

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XLinkCreator.idl